//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/rocketlauncher.h                                         $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 7:06 PM                                               $
//
// Copyright (C) 1997 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// Standard rocketlauncher, similar to the Quake and Doom rocketlaunchers.
//

#ifndef __ROCKETLAUNCHER_H__
#define __ROCKETLAUNCHER_H__

#include "g_local.h"
#include "item.h"
#include "weapon.h"
#include "specialfx.h"

class Rocket : public Projectile
{
private:
	float speed;
public:
	CLASS_PROTOTYPE( Rocket );
	void Explode( Event* ev );
	void Setup( Entity* owner, Vector pos, Vector dir );
	virtual void Archive( Archiver& arc );
	virtual void Unarchive( Archiver& arc );
};

class RocketLauncher : public Weapon
{
public:
	CLASS_PROTOTYPE( RocketLauncher );

	RocketLauncher();
	virtual void Shoot( Event* ev );
};

#endif /* rocketlauncher.h */
